cURL
curl -X GET "https://api.fitsociety.io/public/v1/workout/load-calculator" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/workout/load-calculator', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/load-calculator"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"estimatedOneRepMax": 133.5,
"weightToUse": 100
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Exercises
Calculate training load from reps and RIR
Estimates a one-rep max with the Epley model and returns the rounded weight to use for the requested rep goal. rir is optional and defaults to 0.
Requires the workout_plans:read scope and the corresponding Workout features and permissions.
GET
/
public
/
v1
/
workout
/
load-calculator
cURL
curl -X GET "https://api.fitsociety.io/public/v1/workout/load-calculator" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/workout/load-calculator', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/load-calculator"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"estimatedOneRepMax": 133.5,
"weightToUse": 100
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}